
Katello - Bug #4963

List products takes long time

03/31/2014 11:20 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The more repositories and content view versions, the longer it takes to list the products page.

1. import manifest

2. enable kickstart, rpm and optional repos for rhel

3. promote a content view with these repos

4. list the products

Take 10s seconds to display

Related issues:

Related to Katello - Bug #4964: Listing products is broken when content view ... Closed 03/31/2014

Associated revisions

Revision d4d8ad8f - 06/11/2014 11:06 PM - Eric Helms

Fixes #4964, #4963: Product json incorrectly grabbed all repositories.

The products rabl view switched the order of the node name and the

scope to grab the data. Instead of calling 'library_repositories' and

setting that equal to a 'repository' node in the JSON output, the view

was getting all repositories and placing them at a library_repositories

node. The consequences of this were that attempting to fetch a product

list while a content view publish is occurring means that repositories

outside the default content view are attempted to have their sync status

checked before they ever exist in Pulp.

Revision 1451a84f - 06/12/2014 12:17 PM - Eric Helms

Merge pull request #4255 from ehelms/fixes-4964

Fixes #4964, #4963: Product json incorrectly grabbed all repositories.

History

#1 - 04/25/2014 11:59 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 01:46 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/04/2014 01:47 PM - Eric Helms

- Related to Bug #4964: Listing products is broken when content view publish in progress added

#4 - 06/11/2014 11:00 PM - Eric Helms

- Status changed from New to Assigned
- Assignee set to Eric Helms

- Difficulty set to easy

#5 - 06/12/2014 12:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d4d8ad8f80c053ce8dd969549b63e8ae4af2606a.
